#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D texture;
varying vec2 texCoord;
uniform float	opacity;

void main(void)
{ 
  vec4 texColor = texture2D(texture, texCoord);
  gl_FragColor = vec4(texColor.xyz, opacity * texColor.a);
  // gl_FragColor = vec4(1,0,0,1);
}